Transportable tablespace
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 7 of 7

Thread: Transportable tablespace

  1. #1
    Join Date
    May 2009
    Posts
    32

    Transportable tablespace

    Hi Everyone,

    I need to transport tablespace from 11g(Red Hat Linux 4) to 10g (Windows Vista 32-bit), as both endian formats are same. I tried with DATAPUMP, below are steps I followed.
    ON Source- LINUX
    1)Checked whether there are any dependent objects in the other tablespaces.
    2)Kept the tablespace in READ-ONLY mode.
    3)EXPDP SYSTEM/***** DIRECTORY=DATA_PUMP_DIR DUMPFILE=TB_EXP.DMP
    TRANSPORT_TABLESPACES=EXP
    ON Destination(Windows-32 bit Vista)
    4)Ftp the data files and Dump from previous step.
    5)impdp SYSTEM/***** DIRECTORY=DATA_PUMP_DIR DUMPFILE=TB_EXP.DMP
    TRASPORT_DATAFILES='C:\ORACLE\ORADATA\EXP.DBF'

    I got these errors:
    ORA-39001: invalid argument value
    ORA-39000: bad dump file specification
    ORA-39142: incompatible version number 2.1 in dump file "C:\oracle\admin\

    I browsed and found that As I was using 11g datapump for export, 10g datapump for import, the operation failed.

    So, I am thinking whether is it possible or what is the right procedure to implement this, to transfer the Tablespaces from 11g to 10g.

    Thanks in Advance for your help.

  2. #2
    Join Date
    Feb 2009
    Location
    Kayseri, Turkey
    Posts
    15
    try to use EM for transport tablespace, or use DBMS_FILE_TRANSFER package.
    Metin Ergöktaş
    10g OCP DBA

  3. #3
    Join Date
    May 2009
    Posts
    32
    Thanks sir for your reply, I have tried EM but the character set is different for 10g and 11g so it got rejected. I am thinking about using Network Links but this would only satisfy the downtime if the tablespaces are less in size. But how about situations like loading data from warehouse to data marts?. Need your expertise in this situation.

    Thanks

  4. #4
    Join Date
    Sep 2002
    Location
    England
    Posts
    7,333
    think version needs to be the same

  5. #5
    Join Date
    May 2009
    Posts
    32
    Yes sir, I got it Version needs to be same or else if the dump file is for a version lower than the current version, then the version parameter should be mentioned in the expdp, however the objects that are not supported for this version are not exported.

    Thanks

  6. #6
    Join Date
    Oct 2008
    Location
    Chandigarh, India
    Posts
    322
    I think-- higher version to lower is not possible. U can do from 9i to 10g. Simple reason I feel is that there is always backward compatibility not forward. Anyways, U can raise an SR ticket.
    lucky

  7. #7
    Join Date
    May 2009
    Posts
    32
    Thanks for the reply, yes your are right, I have gone through documentation and made it clear about the compatibility parameter when it comes to transportable tablespaces. Thanks all for your great help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


Click Here to Expand Forum to Full Width